> For the complete documentation index, see [llms.txt](https://docs.feathery.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.feathery.io/develop/react/api-guide/form/event-handlers/onview.md).

# onView()

### Overview

This is a [\<Feathery.Form>](/develop/react/api-guide/form.md) prop and callback function to run custom logic when elements, specified with its sibling `onViewElements` prop, enter or leave the viewport. It's called once per specified element. This function can be asynchronous.

### Usage <a href="#usage" id="usage"></a>

You can use `onView` to log or update form state when element visibility changes. The function takes a single [Context](#context-api) object that provides form-related state and handlers.

```
import { init, Form } from '@feathery/react';

function App() {
  // Initialize Feathery
  init('SDKKey', 'bob@feathery.io');

  // Show the `aBcDeF` Feathery form
  return <Form
    formId='aBcDeF'
    onViewElements={['field-id']}
    // Custom form step onView logic
    onView={(context) => {
      const { elementId, isVisible } = context.visibilityStatus;
      if (elementId === 'field-id' && isVisible]) {
          importantTextIsVisible();
      }
    }}
  />
}
```

### Context API

|                   Key                   |   Type   | Description                                                                                                                    |
| :-------------------------------------: | :------: | ------------------------------------------------------------------------------------------------------------------------------ |
| [Form Context](/develop/context-api.md) |          | Consistently available form state and functions                                                                                |
|            `visibilityStatus`           | `object` | Reports the visibility status of elements specified in `onViewElements`. Shape is `{ elementId: string, isVisible: boolean }`. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.feathery.io/develop/react/api-guide/form/event-handlers/onview.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
